import { Mock, mock } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { TextEditorComponent, TextareaEditorComponent } from '@ods/component';
import { MockComponent } from 'ng-mocks';
import { CollaborationRequestFormComponent } from './collaboration-request-form.component';
import { CollaborationRequestFormService } from './collaboration.request.formservice';

describe('CollaborationRequestFormComponent', () => {
  let component: CollaborationRequestFormComponent;
  let fixture: ComponentFixture<CollaborationRequestFormComponent>;

  const formService: Mock<CollaborationRequestFormService> = mock(CollaborationRequestFormService);

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [ReactiveFormsModule],
      declarations: [
        CollaborationRequestFormComponent,
        MockComponent(TextEditorComponent),
        MockComponent(TextareaEditorComponent),
      ],
      providers: [
        {
          provide: CollaborationRequestFormService,
          useValue: formService,
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(CollaborationRequestFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
